import { BaseRespData } from '@/types/api'
import axios from './axios'
import { LoginReq, LoginResp } from '@/types/api/auth'

export function loginApi(data: LoginReq) {
  return axios.post<never, LoginResp>('/factory/login', data)
}

// 修改密码
export function changePasswordApi(data: {
  oldPwd: string
  newPwd: string
}) {
  return axios.post<never, BaseRespData<never>>(
    'factory/factoryUser/updatePassword',
    data,
  )
}
